List standard templates
curl --request GET \
--url https://api.presenton.ai/api/v3/standard-template/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.presenton.ai/api/v3/standard-template/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.presenton.ai/api/v3/standard-template/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"layout_count": 0,
"thumbnail": "<string>",
"is_default": false
}
],
"total": 123,
"page": 123,
"page_size": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Template (Standard Mode)
List standard templates
List standard templates available to the authenticated Cloud account.
GET
/
api
/
v3
/
standard-template
/
all
List standard templates
curl --request GET \
--url https://api.presenton.ai/api/v3/standard-template/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.presenton.ai/api/v3/standard-template/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.presenton.ai/api/v3/standard-template/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"layout_count": 0,
"thumbnail": "<string>",
"is_default": false
}
],
"total": 123,
"page": 123,
"page_size": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Only include default templates when true, custom templates when false.
Was this page helpful?